# Generated from solidus_gateway-1.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name solidus_gateway

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: Additional Payment Gateways for Solidus
License: BSD-3
URL: https://solidus.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
# BuildRequires: rubygem(braintree) >= 2.0
# BuildRequires: rubygem(braintree) < 3
# BuildRequires: rubygem(rspec-rails) >= 3.2
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(factory_bot) >= 4.4
# BuildRequires: rubygem(factory_bot) < 5
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(capybara-screenshot)
# BuildRequires: rubygem(poltergeist) >= 1.9
# BuildRequires: rubygem(poltergeist) < 2
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(database_cleaner) >= 1.5
# BuildRequires: rubygem(database_cleaner) < 2
BuildArch: noarch

%description
Additional Payment Gateways for Solidus.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/circle.yml
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/solidus_gateway.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.3.0-1
- Initial package
